#include <iostream>

using namespace std;

int main()
{
    int n,q;
    cin>>n;
    int a[n];
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
    }
    cin>>q;
    int pk[q][2];
    for(int i=0; i<q; i++)
    {
        cin>>pk[i][0]>>pk[i][1];
    }
    for(int i=0; i<q; i++)
    {
        int brisanje=0;
        for(int j=pk[i][0]; j<pk[i][1]; j++)
        {
            if(a[j-1]>a[j])
            {
                if(j!=pk[i][0])
                {
                    if(a[j-2]>a[j])
                    {
                        if(j!=pk[i][1]-1)
                        {
                            if(a[j-1]>a[j+1])
                            {
                                brisanje+=2;
                            }
                            else
                            {
                                brisanje++;
                                j++;
                            }

                        }
                        else
                        {
                            brisanje++;
                            j++;
                        }
                    }
                    else
                    {
                        brisanje++;
                    }
                }
                else
                {
                    brisanje++;
                }
            }
        }
        if(brisanje<=1)
            cout<<"\nDA";
        else
            cout<<"\nNE";
    }
}